package com.syntevo.plugin.tagmultiple;

import org.jetbrains.annotations.*;

import com.syntevo.openapi.*;
import com.syntevo.openapi.log.*;
import com.syntevo.openapi.smartsvn.*;

/**
 * @author syntevo GmbH
 */
public final class TagMultipleProjectRootsPlugin implements IActivator {

	// Constants ==============================================================

	static final String ID = "com.syntevo.tagMultipleProjectRoots";
	static final Logger LOG = LoggerFactory.createLogger(ID);

	// Implemented ============================================================

	@Override
	public void initialize(@NotNull SmartSvnServices services) {
		services.addProjectActionProvider(new TagMultipleProjectRootsActionProvider(services));
	}
}
