package com.syntevo.plugin.committemplate;

import org.jetbrains.annotations.*;

import com.syntevo.openapi.*;
import com.syntevo.openapi.log.*;
import com.syntevo.openapi.smartsvn.*;

/**
 * @author syntevo GmbH
 */
public final class CommitTemplatePlugin implements IActivator {

	// Constants ==============================================================

	public static final String PLUGIN_ID = "com.syntevo.commitTemplate";
	public static final Logger LOGGER = LoggerFactory.createLogger(PLUGIN_ID);

	// Implemented ============================================================

	@Override
	public void initialize(@NotNull SmartSvnServices services) {
		services.addCommitWorkflowFactory(new CommitTemplateCommitWorkflowFactory());
	}
}
